# Works with either ElementTree or python-lxml
%global modname OWSLib
%global with_python3 0%{?fedora}

Name:           python-%{modname}
Version:        0.9.0
Release:        1%{?dist}
Summary:        Client library for OGC web services
License:        BSD
URL:            http://geopython.github.io/OWSLib
Source0:        http://pypi.python.org/packages/source/O/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-dateutil
Requires:       python-requests
Requires:       pytz

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # if with_python3

%description
Package for client programming with Open Geospatial Consortium (OGC) web
service (hence OWS) interface standards, and their related content models.

%if 0%{?with_python3}
%package -n python3-OWSLib
Summary:        Client library for OGC web services

Requires:       python3-dateutil
Requires:       python3-requests
Requires:       python3-pytz

%description -n python3-OWSLib
Package for client programming with Open Geospatial Consortium (OGC) web
service (hence OWS) interface standards, and their related content models.
%endif # if with_python3

%prep
%setup -qc -n %{modname}-%{version}
rm -rf %{modname}-%{version}/%{modname}.egg-info
mv %{modname}-%{version} python2

%if 0%{?with_python3}
cp -a python2 python3
find python3 -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3

find python2 -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python2}|'

pushd python2
cp -pr LICENSE.txt README.txt CHANGES.txt CREDITS.txt ../
popd


%build
pushd python2
%{__python2} setup.py build
popd

%if 0%{?with_python3}
pushd python3
%{__python3} setup.py build
popd
%endif # if with_python3


%install
pushd python2
%{__python2} setup.py install --skip-build --root %{buildroot}
popd

%if 0%{?with_python3}
pushd python3
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # if with_python3


%files
%doc LICENSE.txt README.txt CHANGES.txt CREDITS.txt
%{python_sitelib}/owslib
%{python_sitelib}/%{modname}-%{version}-py*.egg-info

%if 0%{?with_python3}
%files -n python3-OWSLib
%doc LICENSE.txt README.txt CHANGES.txt CREDITS.txt
%{python3_sitelib}/owslib
%{python3_sitelib}/%{modname}-%{version}-py*.egg-info
%endif # if with_python3

%changelog
* Sat Jun 13 2015 Volker Fröhlich <volker27@gmx.at> - 0.9.0-1
- New upstream release
- Add Python 3 sub-package

* Sat Feb 14 2015 Volker Fröhlich <volker27@gmx.at> - 0.8.13-1
- New upstream release

* Tue Dec 23 2014 Volker Fröhlich <volker27@gmx.at> - 0.8.12-1
- New upstream release

* Wed Dec 17 2014 Volker Fröhlich <volker27@gmx.at> - 0.8.11-1
- New upstream release

* Mon Oct 13 2014 Volker Fröhlich <volker27@gmx.at> - 0.8.10-1
- New upstream release

* Wed Sep 24 2014 Volker Fröhlich <volker27@gmx.at> - 0.8.9-1
- New upstream release

* Mon Jul  7 2014 Volker Fröhlich <volker27@gmx.at> - 0.8.8-1
- New upstream release

* Wed Jul  2 2014 Volker Fröhlich <volker27@gmx.at> - 0.8.7-3
- Changed package summary

* Tue Jul  1 2014 Volker Fröhlich <volker27@gmx.at> - 0.8.7-2
- Correct BR python-setuptools-devel to python-setuptools

* Mon Jun 30 2014 Volker Fröhlich <volker27@gmx.at> - 0.8.7-1
- Initial package for Fedora
